std::type_index(3cxx)

NAME
std::type_index - Class type_index.

SYNOPSIS

#include <typeindex>

  Public Member Functions

type_index (const type_info &__rhs) noexcept
size_t hash_code () const noexcept
const char * name () const noexcept
bool operator!= (const type_index &__rhs) const noexcept
bool operator< (const type_index &__rhs) const noexcept
bool operator<= (const type_index &__rhs) const noexcept
bool operator== (const type_index &__rhs) const noexcept
bool operator> (const type_index &__rhs) const noexcept
bool operator>= (const type_index &__rhs) const noexcept

Detailed Description

Class type_index.

The class type_index provides a simple wrapper for type_info which can be used as an index type in associative containers (23.6) and in unordered associative containers (23.7).

Author

Generated automatically by Doxygen for libstdc++ from the source code.